Bug 740078 - g++: Internal error: Segmentation fault (program cc1plus)
Summary: g++: Internal error: Segmentation fault (program cc1plus)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc
Version: 5.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 20:50 UTC by harry.kantor
Modified: 2013-03-12 17:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-12 17:29:29 UTC


Attachments (Terms of Use)
Additional core dump (1.19 MB, application/octet-stream)
2011-09-20 20:53 UTC, harry.kantor
no flags Details

Description harry.kantor 2011-09-20 20:50:08 UTC
Description of problem:

When attempting to compile cppunit tests, I receive a message:

g++: Internal error: Segmentation fault (program cc1plus)

The code I'm testing has worked before I placed a forward declaration in it.


Version-Release number of selected component (if applicable):
gcc-c++-4.1.2-51.el5.x86_64.rpmrp
cppunit-1.12.0-3.el5.rf


Additional info:
I have attached the core dump.

Comment 1 harry.kantor 2011-09-20 20:53:15 UTC
Created attachment 524092 [details]
Additional core dump

I've attached a core dump with the forward declaration removed.  The compiler is still crashing.

Comment 2 Jakub Jelinek 2011-10-21 12:22:09 UTC
Coredump isn't useful for debugging compiler problems, we need a preprocessed source on which it can be reproduced.  By any chance, aren't you using PCH?

Comment 3 harry.kantor 2011-10-24 13:52:48 UTC
Please cancel this issue.  There was a problem with my "depend" target, which caused one of the object files to not be rebuilt.

What is PCH?

Comment 4 Jeff Law 2013-03-12 17:29:29 UTC
Per c#3.


Note You need to log in before you can comment on or make changes to this bug.